﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CKMusicPlayer
{
    public partial class F20_StdVolume : Form
    {
        /// <summary> [コンストラクター] </summary>
        public F20_StdVolume()
        {
            InitializeComponent();
        }

        /// <summary> [FLeft]プロパティ(書込み専用) </summary>
        public int FLeft
        {
            set { _fleft = value; }
        }

        /// <summary> [FTop]プロパティ(書込み専用) </summary>
        public int FTop
        {
            set { _ftop = value; }
        }

        private int _fleft;
        private int _ftop;

        /// <summary> [設定]ボタンクリックイベント </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btnSet_Click(object sender, EventArgs e)
        {
            if (!CC.MsgCanceled("基準音量を設定します。"))
            {
                Properties.Settings.Default.StandardVolume = (int)(nudVolume.Value);
                Properties.Settings.Default.Save();
                this.DialogResult = CC.RSLT_OK;
                this.Close();
            }
        }

        /// <summary> [Form_Load]イベント </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Form_Load(object sender, EventArgs e)
        {
            this.Left = _fleft;
            this.Top = _ftop;
            InitializeForm();
        }


        /// <summary> [InitializeForm]メソッド
        /// [Form_Load]から呼出し
        /// </summary>
        private void InitializeForm()
        {
            nudVolume.Value = Properties.Settings.Default.StandardVolume;
            //btnSet.Enabled = false;
        }
    }
}
